Subject: [Idr] Are there any restriction on how to use the Color Sub-TLV specified by RFC5512 Tunnel Advertisement?

From: Linda Dunbar <[email-masked]>
Date: Tue, 26 Jun 2018 18:54:34 +0000

RFC5512 says:

draft-ietf-idr-segment-routing-te-policy-03 uses the Color Extended Community (as defined in [RFC5512]) to steer traffic into an SR Policy.

If we want to use "Color Sub-TLV" for more detailed information of end point, such as location, is it Okay?

Thank you very much

Linda Dunbar

From: Linda Dunbar
Sent: Tuesday, June 26, 2018 1:16 PM
To: [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>; [email-masked]' <[email-masked]>
Subject: Can RFC5512 specified Tunnel Advertisement be used for an endpoint to announce supporting multiple tunnel types?

BGP experts:

If an end point support multiple tunnel encapsulations (GRE, VxLAN, etc), does RFC5512 specified Tunnel Advertisements allow the endpoint to announce all those tunnel types? How?

Thank you.

Linda Dunbar

From: Linda Dunbar
Sent: Tuesday, June 26, 2018 1:03 PM
To: 'Linda Dunbar' <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: [Idr] Questions to RFC5512: Encapsulation sub-TLV and Opaque extended community to indicate the Encapsulation protocol?

BGP experts:

The RFC5512 has "distinguished SAFI value" and "the Encapsulation SAFI". Do those two terms have the same meaning?
The Section 3 of RFC5512 has SAFI value of 7 to represent Encapsulation SAFI.
Does it mean that the "distinguished SAFI value" is just "7" for speaker to advertise its supported Tunnel information?

The Section 4 goes on defining the Tunnel Encapsulation Type (such as L2TPv3 with Type =1; etc), and a list of sub-TLVs, one of the SubTLV is Protocol Type (section 4.2) which can be used to represent the Encapsulation Protocol (i.e. protocol type of data frames carried by the tunnel)

Why need the Opaque extended community to indicate the Encapsulation protocol?

Thank you very much.

Linda Dunbar

---

From: stefano previdi <[email-masked]>
Date: Thu, 28 Jun 2018 08:57:13 +0200

> On Jun 26, 2018, at 8:54 PM, Linda Dunbar <[email-masked]> wrote:
> 
> RFC5512 says:
>  
>  
> If we want to use “Color Sub-TLV” for more detailed information of end point, such as location, is it Okay?

the semantic of the color value is determined by the operator not by the specification, so you can easily define a coloring scheme including location and many other criteria.

thanks.
s.

> To: 'Linda Dunbar' <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
> The RFC5512 has “distinguished SAFI value” and “the Encapsulation SAFI”. Do those two terms have the same meaning?
> Does it mean that the “distinguished SAFI value” is just “7” for speaker to advertise its supported Tunnel information?
>  
>